<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
  <th:block th:insert="~{fragments/header-head :: head}"></th:block>
</head>

<body>

<div class="container">

  <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <div class="container-fluid">
      <a class="navbar-brand" href="/" th:text="#{Home}"></a>
    </div>
  </nav>

  <form action="#" th:action="@{/parameters/create}" enctype="multipart/form-data" th:object="${parameters}" method="post">
    <h1 th:text="#{Simdoc_Parameters}"></h1>

    <div class="form-check mt-3" style="display: flex; align-items: center;">
      <input class="form-check-input" type="checkbox" th:field="*{rawConverter}"/>
      <label class="form-check-label m-1 truncate" th:text="#{rawConverter}" th:for="*{rawConverter}">
      </label>
    </div>

    <div class="form-group mt-3">
      <label for="pCount" th:text="#{pCount}"></label>
      <input th:field="*{pCount}" type="number" class="form-control" id="pCount" th:placeholder="#{Enter_pCount}">
    </div>

    <div class="form-group mt-3">
      <label for="suffixArrayAlgorithm" th:text="#{suffix-array-algorithm}"></label>
      <select th:field="*{suffixArrayAlgorithm}" class="form-control" id="suffix-array-algorithm">
        <option id="suffixArrayAlgorithm" th:each="suffixArrayAlgorithm : ${T(com.orange.documentare.core.comp.bwt.SuffixArrayAlgorithm).values()}" th:value="${suffixArrayAlgorithm}" th:text="${suffixArrayAlgorithm}"></option>
      </select>
    </div>

    <div class="form-group mt-3">
      <label for="acutSdFactor" th:text="#{acutSdFactor}"></label>
      <input id="acutSdFactor" th:field="*{acutSdFactor}" type="number" step=".01" class="form-control" th:placeholder="#{Enter_acutSdFactor}">
    </div>

    <div class="form-group mt-3">
      <label for="qcutSdFactor" th:text="#{qcutSdFactor}"></label>
      <input id="qcutSdFactor" th:field="*{qcutSdFactor}" type="number" step=".01" class="form-control" th:placeholder="#{Enter_qcutSdFactor}">
    </div>

    <div class="form-group mt-3">
      <label for="scutSdFactor" th:text="#{scutSdFactor}"></label>
      <input id="scutSdFactor" th:field="*{scutSdFactor}" type="number" step=".01" class="form-control" th:placeholder="#{Enter_scutSdFactor}">
    </div>

    <div class="form-group mt-3">
      <label for="ccutPercentile" th:text="#{ccutPercentile}"></label>
      <input id="ccutPercentile" th:field="*{ccutPercentile}" type="number" class="form-control" th:placeholder="#{Enter_ccutPercentile}">
    </div>

    <div class="form-group mt-3">
      <label for="knnThreshold" th:text="#{knnThreshold}"></label>
      <input id="knnThreshold" th:field="*{knnThreshold}" type="number" class="form-control" th:placeholder="#{Enter_knnThreshold}">
    </div>

    <div class="form-check mt-3" style="display: flex; align-items: center;">
      <input class="form-check-input" type="checkbox" th:field="*{sloop}"/>
      <label class="form-check-label m-1 truncate" th:text="#{sloop}" th:for="*{sloop}">
      </label>
    </div>

    <div class="form-check mt-3" style="display: flex; align-items: center;">
      <input class="form-check-input" type="checkbox" th:field="*{enroll}"/>
      <label class="form-check-label m-1 truncate" th:text="#{enroll}" th:for="*{enroll}">
      </label>
    </div>

    <div class="form-group mt-3">
      <label for="enrollAcutSdFactor" th:text="#{enrollAcutSdFactor}"></label>
      <input id="enrollAcutSdFactor" th:field="*{enrollAcutSdFactor}" type="number" step=".01" class="form-control" th:placeholder="#{Enter_enrollAcutSdFactor}">
    </div>

    <div class="form-group mt-3">
      <label for="enrollQcutSdFactor" th:text="#{enrollQcutSdFactor}"></label>
      <input id="enrollQcutSdFactor" th:field="*{enrollQcutSdFactor}" type="number" step=".01" class="form-control" th:placeholder="#{Enter_enrollQcutSdFactor}">
    </div>

    <div class="form-group mt-3">
      <label for="enrollScutSdFactor" th:text="#{enrollScutSdFactor}"></label>
      <input id="enrollScutSdFactor" th:field="*{enrollScutSdFactor}" type="number" step=".01" class="form-control" th:placeholder="#{Enter_enrollScutSdFactor}">
    </div>

    <div class="form-group mt-3">
      <label for="enrollCcutPercentile" th:text="#{enrollCcutPercentile}"></label>
      <input id="enrollCcutPercentile" th:field="*{enrollCcutPercentile}" type="number" class="form-control" th:placeholder="#{Enter_enrollCcutPercentile}">
    </div>

    <div class="form-group mt-3 mb-3">
      <label for="enrollKnnThreshold" th:text="#{enrollKnnThreshold}"></label>
      <input id="enrollKnnThreshold" th:field="*{enrollKnnThreshold}" type="number" class="form-control" th:placeholder="#{Enter_enrollKnnThreshold}">
    </div>

    <h1 th:text="#{Threshold_Parameter}"></h1>
    <div class="form-group mt-3 mb-3">
      <label for="thresholdFactor" th:text="#{thresholdFactor}"></label>
      <input id="thresholdFactor" th:field="*{thresholdFactor}" type="number" step=".01" class="form-control" th:placeholder="#{Enter_thresholdFactor}">
    </div>

    <h1 th:text="#{Feed_Parameters}"></h1>
    <div class="form-check mt-3" style="display: flex; align-items: center;">
      <input class="form-check-input" type="checkbox" th:field="*{feed}"/>
      <label class="form-check-label m-1 truncate" th:text="#{feed}" th:for="*{feed}">
      </label>
    </div>

    <div class="form-group mt-3">
      <label for="feedThreshold" th:text="#{feedThreshold}"></label>
      <input id="feedThreshold" th:field="*{feedThreshold}" type="number" class="form-control" th:placeholder="#{Enter_feedThreshold}">
    </div>

    <div class="form-group mt-3">
      <label for="minMultisetThreshold" th:text="#{minMultisetThreshold}"></label>
      <input id="minMultisetThreshold" th:field="*{minMultisetThreshold}" type="number" class="form-control" th:placeholder="#{Enter_min_multisetThreshold}" th:onchange="'javascript:checkMinMultiSetThreshold();'">
    </div>

    <div class="form-group mt-3">
      <label for="maxMultisetThreshold" th:text="#{maxMultisetThreshold}"></label>
      <input id="maxMultisetThreshold" th:field="*{maxMultisetThreshold}" type="number" class="form-control" th:placeholder="#{Enter_max_multisetThreshold}" th:onchange="'javascript:checkMaxMultiSetThreshold();'">
    </div>

    <button id="submit" type="submit" class="btn btn-primary mt-3 mb-4" th:text="#{Submit}"></button>
  </form>
</div>

</body>
<script type="text/javascript" src="../public/js/clustering.js" th:src="@{/js/parameter.js}"></script>

</html>
